<!-- cart item listing section -->
<div *ngIf="!isPlaceOrder && cartItems.length" style="width: 100%;display: flex;width: 100%;column-gap: 5px;">
    <div *ngIf="cartItems.length" style="display: flex;flex-direction: column;row-gap: 5px;width: 60%;">
        <ng-container *ngFor="let item of cartItems">
            <div class="card shadow">

                <div style="display: flex;align-items: center;column-gap: 10px; width: 70%;">
                    <img style="height: 5rem;" [src]="item.strMealThumb" [alt]="item.strCategory">
                    <div style="display: flex;flex-direction: column;">
                        <div class="name">{{item.strMeal}}</div>
                        <span class="price"><img src="/assets/icons/currency_rupee.svg" alt=""
                                srcset=""><span>{{item.price +" /-"}}</span></span>
                    </div>
                </div>

                <div class="cart-action" style="width: 10rem;" *ngIf="item.cartCount">
                    <img (click)="decrementCount(item);$event.stopPropagation()" src="assets/icons/remove.svg" alt=""
                        srcset="">
                    <div class="item-quantity" (click)="$event.stopPropagation()">{{item.cartCount}}</div>
                    <img (click)="incrementCount(item);$event.stopPropagation()" src="assets/icons/add.svg" alt=""
                        srcset="">

                </div>

            </div>

        </ng-container>


    </div>
    <div *ngIf="cartItems.length" style="width: 40%;">
        <div class="card"
            style="align-items: baseline;flex-direction: column;justify-content: flex-start;padding: 15px;">
            <h3 style="margin: 0;margin-bottom: 10px;">Summary :</h3>
            <div style="width: 100%;">
                <ng-container *ngFor="let item of cartItems;let i=index">
                    <div style="display: flex;align-items: center;justify-content: space-between;margin-bottom: 10px;">
                        <span class="name" style="width: 70%;">{{i+1+". "+item.strMeal}}</span>
                        <span>{{item.cartCount +" × "+ item.price + " = "+(item.cartCount*item.price) +" /-"}}</span>
                    </div>
                </ng-container>
                <div style="display: flex;justify-content: end;align-items: center;column-gap: 10px;">
                    <span class="name" style="font-size: larger;">Total </span>
                    <span>{{calculateTotalCost() +" /-"}}</span>
                </div>
            </div>


        </div>
        <div *ngIf="cartItems.length" style="display: flex;justify-content: center;">
            <button class="place-order" (click)="placeOrderFn()" type="button">Place order</button>
        </div>
    </div>
</div>



<!-- show message  cart if empty -->
<div *ngIf="!cartItems.length" style="text-align: center;">Cart is Empty !</div>




<!-- place order section -->
<div *ngIf="isPlaceOrder" style="width: 100%;">
    <h1>Order placed succesfully !</h1>
    <div style="display: flex;flex-direction: column;align-items: center;">
        <ng-container *ngFor="let orders of orderArray;let i=index">
            <div class="card"
                style=" margin-bottom: 10px;flex-direction: column;align-items: baseline;width: 55%;padding: 22px;">
                <div style="display: flex;justify-content: space-between;width: 100%;">
                    <h3> Order Id : {{orders.orderId}}</h3>
                    <span style="display: flex;align-items: center;text-align: right;">Total : <span class="price"><img
                                src="/assets/icons/currency_rupee.svg" alt="" srcset="">
                            <span>{{orders.total +" /-"}}</span></span></span>
                </div>
                <ng-container *ngFor="let item of orders.data;let i=index">
                    <div class="card shadow" style="width: 100%;margin-bottom: 10px;background-color: yellowgreen;">

                        <div style="display: flex;align-items: center;column-gap: 10px; width: 70%;">
                            <img style="height: 5rem;" [src]="item.strMealThumb" [alt]="item.strCategory">
                            <div style="display: flex;flex-direction: column;">
                                <div class="name">{{item.strMeal}}</div>
                                <span class="price"><img src="/assets/icons/currency_rupee.svg" alt=""
                                        srcset=""><span>{{item.price+" /-"}}</span></span>
                            </div>
                        </div>

                        <div
                            style="display: flex;align-items: center;justify-content: space-between;margin-bottom: 10px;">
                            <span>{{item.cartCount +" × "+ item.price + " = "+(item.cartCount*item.price) +"
                                /-"}}</span>
                        </div>

                    </div>
                </ng-container>
            </div>
        </ng-container>

    </div>

</div>